Package org.opensaml.saml.saml1.core.impl

# Class ResponseImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml1.core.impl.ResponseAbstractTypeImpl
org.opensaml.saml.saml1.core.impl.ResponseImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `Response`, `ResponseAbstractType`, `SignableXMLObject`

public class ResponseImpl extends ResponseAbstractTypeImpl implements Response
Implementation of the `Response` Object.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Assertion>`
`assertions`
List of all the Assertions.
`private Status`
`status`
Status associated with this element.

### Fields inherited from interface org.opensaml.saml.saml1.core.Response

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml1.core.ResponseAbstractType

`ID_ATTRIB_NAME, INRESPONSETO_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_QNAME, MAJORVERSION_ATTRIB_NAME, MINORVERSION_ATTRIB_NAME, RECIPIENT_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ResponseImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<Assertion>`
`getAssertions()`
Return the objects representing the `Assertion` (element).
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Status`
`getStatus()`
Return the object representing the `Status` (element).
`void`
`setStatus(Status s)`
Set the object representing the `Status` (element).

### Methods inherited from class org.opensaml.saml.saml1.core.impl.ResponseAbstractTypeImpl

`getID, getInResponseTo, getIssueInstant, getRecipient, getSignatureReferenceID, getVersion, setID, setInResponseTo, setIssueInstant, setRecipient, setVersion`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml1.core.ResponseAbstractType

`getID, getInResponseTo, getIssueInstant, getRecipient, getVersion, setID, setInResponseTo, setIssueInstant, setRecipient, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### status

@Nullable private Status status
Status associated with this element.

### assertions

@Nonnull private final XMLObjectChildrenList<Assertion> assertions
List of all the Assertions.

## Constructor Details

### ResponseImpl

protected ResponseImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAssertions

@Nonnull @Live public List<Assertion> getAssertions()
Return the objects representing the `Assertion` (element).

Specified by:
  `getAssertions` in interface `Response`
Returns:
  the Assertion objects

### getStatus

@Nullable public Status getStatus()
Return the object representing the `Status` (element).

Specified by:
  `getStatus` in interface `Response`
Returns:
  the Status

### setStatus

public void setStatus(@Nullable Status s)
Set the object representing the `Status` (element).

Specified by:
  `setStatus` in interface `Response`
Parameters:
  `s` - what to set

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `ResponseAbstractTypeImpl`
Returns:
  ordered list of child elements